PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectCompareId

compares the objects ID with a given id

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectCompareId(PetscObject obj,PetscObjectId id,PetscBool *eq)

Not Collective

### Input Arguments

| obj | - object
| id | - integer ID

Output Argument;

| eq | - the ids are equal

### Notes

The object ID may be different on different processes, but object IDs are never reused so local equality implies global equality.

### See Also

PetscObjectStateGet(), PetscObjectGetId()

### Level

developer

### Location

src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages